Create payment method config

Create the configuration to store a payment method. The configuration contains basic information about the payment method such as an idempotency key and optional information such as billing contact and metadata. If the billing contact is provided in the payment method config, then the web component will not prompt for this data. These fields include country and postal code for a CARD payment method and name for an ACH payment method. This allows a payment method to be set up before collecting the sensitive payment method details (i.e the card number) via the web component. The merchant status must be ACTIVE to create a payment method config.

Body Params
string
required

The unique platform identifier.

Prefix is "plt" in production and "sbx_plt" in sandbox.

string

The unique merchant identifier for the billable merchant, utilized in processes such as BIN Lookup and Card Account Updater.

Prefix is "mid" in production and "sbx_mid" in sandbox.

string

The unique merchant identifier for the originating merchant, required for storing PayPal payment methods.

Prefix is "mid" in production and "sbx_mid" in sandbox.

platform
object
string
required
length between 1 and 255

A unique identifier provided by the platform. This key will be used to detect subsequent retries of the same request. Subsequent requests with the same key will return the result of the first request, regardless if the first request succeeded or failed. This identifier should be generated by the platform and can be max 255 characters.

billing_contact
object
metadata
object
allow_bin_lookup
object
device_signature_mode
object

Determines if a signature should be collected when storing a payment method on a device

Options:

  • NONE - Signature will not be collected
  • ATTEMPT - Only prompt for a signature on devices that support the signature capability
Headers
string
enum
Defaults to 2024-10-16
Allowed:
Responses

Language
Credentials
Bearer
APIKey
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json